Bug 77537 - Right-clicking on Motif app shuts down monitor(s) on Radeon 7500
Right-clicking on Motif app shuts down monitor(s) on Radeon 7500
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
Blocks: FC4Blocker
  Show dependency treegraph
Reported: 2002-11-08 13:48 EST by Ulrich Drepper
Modified: 2007-04-18 12:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-21 13:45:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
XFree86 log (37.31 KB, text/plain)
2002-11-08 13:49 EST, Ulrich Drepper
no flags Details
XFree86 config (3.83 KB, text/plain)
2002-11-08 13:50 EST, Ulrich Drepper
no flags Details

  None (edit)
Description Ulrich Drepper 2002-11-08 13:48:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021102

Description of problem:
WHen using a Motif app (e.g., xpdf 2.00) right clicking over the window will
shut down the attached monitor(s) when using a Radeon 7500.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Get system with Radeon 7500
2.Get xpdf-2.00-1
3.start with a PDF fileloaded
4.right click

Actual Results:  Monitor(s) shut down.  The video card stopped all signals.

Expected Results:  Monitor(s) stay(s) up.

Additional info:

After the mouse button is released all is normal.  So there is no actual data
loss but the monitors do suffer.
Comment 1 Ulrich Drepper 2002-11-08 13:49:21 EST
Created attachment 84244 [details]
XFree86 log
Comment 2 Ulrich Drepper 2002-11-08 13:50:27 EST
Created attachment 84245 [details]
XFree86 config
Comment 3 Mike A. Harris 2002-11-09 14:18:50 EST
If you disable accel for troubleshooting purposes by using:

Option "noaccel"

in the Device section of the config file, does this problem go away?

If so, there are other options we can experiment with to narrow it down.
Comment 4 Ulrich Drepper 2002-11-18 03:16:24 EST
Sorry for the delay.  This is my main machine which has the problem and I hardly
ever reboot it.

But I did now, to get the 2.4.18-18.8.0 kernel.  The result: I cannot reproduce
the problem.  A few things changed:

- the kernel: 2.4.18-18.8.0 instead of 2.4.18-17.8.0
- the system's uptime (and use of X and its resources)
- the file I viewed

Anyway, I'll keep an eye on it.
Comment 5 Ulrich Drepper 2003-01-26 04:46:51 EST
I just tried it with 2.4.18-18.8.0smp and the problem is still there.  I don't
know why I haven't seen it the last time.

Are there more recent XF binaries than 4.2.0-72 available for RHL8?
Comment 6 Mike A. Harris 2003-01-26 06:20:43 EST
There is 4.2.1-something on my mharris/testing/8.0 dirs on people.redhat.com
but it most likely doesn't fix this.  You can test it though nonetheless.
The packages should be as stable or more stable than what is in 8.0, and
haven't been released as erratum more or less because we don't have the
resources to process the erratum currently, but there shouldn't be any
problems with the packages.

I just went through all XFree86 bug reports and classified them all for
drivers.  I noticed along the way about 3-4 bugs almost identical to this
one, so there is a chance it is not driver specific, but a bug in XAA
itself perhaps.

I should be able to debug this sometime though.
Comment 10 Mike A. Harris 2005-03-21 11:16:55 EST
Uli: Does this issue still exist in Fedora Core 3 or rawhide?  Please let
me know so we can schedule FC4 development time to troubleshoot the issue
if it's still present.

Comment 11 Ulrich Drepper 2005-03-21 11:40:19 EST
I don't use that equipment anymore.
Comment 12 Mike A. Harris 2005-03-21 13:45:55 EST
Ok.  The "radeon" driver has went through several fairly major revisions
since this was initially reported.  I've asked if anyone can reproduce
this in #fedora-devel and #freedesktop using current generation xorg-x11
6.8.2.  So far only recieved "it works fine for me" type responses.  Since
nobody else seems to have reported the bug here, nor in freedesktop bugzilla,
we're going to assume the problem is resolved now.

Should anyone experience the problem again however, please reopen and we
will reinvestigate.

Setting status to CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.